Update dependencies (#429)

Update dependencies (#429)

  • Ruby 2.6.3 which has a couple of Unicode improvements

  • nginx from 1.5.9 to 1.5.12 (http://nginx.org/en/CHANGES)

  • ImageMagick 7.0.8-42 and switch it back to using GitHub, because only the latest release is available on the official site and this regularly breaks our build

  • libpng from 1.6.36 to 1.6.37 (security fix)

  • gifsicle from 1.91 to 1.92 (Gifsicle Changes)

  • Node.js v10, the latest active LTS (Releases | Node.js)

diff --git a/image/base/Dockerfile b/image/base/Dockerfile
index c667f91..fe8e8ac 100644
--- a/image/base/Dockerfile
+++ b/image/base/Dockerfile
@@ -22,7 +22,7 @@ RUN apt-get -y upgrade
 RUN curl http://apt.postgresql.org/pub/repos/apt/ACCC4CF8.asc | apt-key add -
 RUN echo "deb http://apt.postgresql.org/pub/repos/apt/ $(lsb_release -sc)-pgdg main" | \
         tee /etc/apt/sources.list.d/postgres.list
-RUN curl --silent --location https://deb.nodesource.com/setup_8.x | sudo bash -
+RUN curl --silent --location https://deb.nodesource.com/setup_10.x | sudo bash -
 RUN apt-get -y update
 RUN apt-get -y install build-essential git wget \
                        libxslt-dev libcurl4-openssl-dev \
@@ -66,12 +66,12 @@ RUN mkdir /jemalloc-new && cd /jemalloc-new &&\
 RUN echo 'gem: --no-document' >> /usr/local/etc/gemrc &&\
     mkdir /src && cd /src && git clone https://github.com/sstephenson/ruby-build.git &&\
     cd /src/ruby-build && ./install.sh &&\
-    cd / && rm -rf /src/ruby-build && (ruby-build 2.6.2 /usr/local)
+    cd / && rm -rf /src/ruby-build && (ruby-build 2.6.3 /usr/local)
 
 RUN gem update --system
 
 RUN gem install bundler --force &&\
-    rm -rf /usr/local/share/ri/2.6.2/system &&\
+    rm -rf /usr/local/share/ri/2.6.3/system &&\
     cd / && git clone https://github.com/discourse/pups.git
 
 ADD install-redis /tmp/install-redis
diff --git a/image/base/install-gifsicle b/image/base/install-gifsicle
index e35be3c..4d3f0e2 100755
--- a/image/base/install-gifsicle
+++ b/image/base/install-gifsicle
@@ -1,6 +1,6 @@
 #!/bin/bash
 set -e
-VERSION=1.91
+VERSION=1.92
 cd /tmp
 curl -O http://www.lcdf.org/gifsicle/gifsicle-$VERSION.tar.gz
 tar zxf gifsicle-$VERSION.tar.gz
diff --git a/image/base/install-imagemagick b/image/base/install-imagemagick
index 7f74756..8326fd8 100755
--- a/image/base/install-imagemagick
+++ b/image/base/install-imagemagick
@@ -1,8 +1,8 @@
 #!/bin/bash
 set -o errexit
 
-IMAGE_MAGICK_VERSION="7.0.8-41"
-LIBPNG_VERSION="1.6.36"
+IMAGE_MAGICK_VERSION="7.0.8-42"
+LIBPNG_VERSION="1.6.37"
 
 PREFIX=/usr/local
 WDIR=/tmp/imagemagick
@@ -25,7 +25,7 @@ cd $WDIR/libpng-$LIBPNG_VERSION
 make all && make install
 
 # Build and install ImageMagick
-wget -O $WDIR/ImageMagick.tar.gz "https://imagemagick.org/download/ImageMagick-$IMAGE_MAGICK_VERSION.tar.gz"
+wget -O $WDIR/ImageMagick.tar.gz "https://github.com/ImageMagick/ImageMagick/archive/$IMAGE_MAGICK_VERSION.tar.gz"
 IMDIR=$WDIR/$(tar tzf $WDIR/ImageMagick.tar.gz --wildcards "ImageMagick-*/configure" |cut -d/ -f1)
 tar zxf $WDIR/ImageMagick.tar.gz -C $WDIR
 cd $IMDIR
diff --git a/image/base/install-nginx b/image/base/install-nginx
index 50d1872..167d5c5 100755
--- a/image/base/install-nginx
+++ b/image/base/install-nginx
@@ -1,6 +1,6 @@
 #!/bin/bash
 set -e
-VERSION=1.15.9
+VERSION=1.15.12
 cd /tmp
 
 apt-get install -y autoconf
diff --git a/image/discourse_dev/Dockerfile b/image/discourse_dev/Dockerfile
index 28ee6fb..c8bffb0 100644
--- a/image/discourse_dev/Dockerfile
+++ b/image/discourse_dev/Dockerfile
@@ -42,7 +42,6 @@ RUN wget -q -O - https://dl-ssl.google.com/linux/linux_signing_key.pub | sudo ap
     echo "deb [arch=amd64] http://dl.google.com/linux/chrome/deb/ stable main" >> /etc/apt/sources.list.d/google.list &&\
     curl -sS https://dl.yarnpkg.com/debian/pubkey.gpg | sudo apt-key add - &&\
     echo "deb https://dl.yarnpkg.com/debian/ stable main" | sudo tee /etc/apt/sources.list.d/yarn.list &&\
-    curl -sL https://deb.nodesource.com/setup_10.x | sudo -E bash - &&\
     apt-get update &&\
     apt-get install -y google-chrome-stable yarn nodejs &&\
     npm install -g eslint babel-eslint
diff --git a/image/discourse_test/Dockerfile b/image/discourse_test/Dockerfile
index fa64531..c9dcc9c 100644
--- a/image/discourse_test/Dockerfile
+++ b/image/discourse_test/Dockerfile
@@ -21,7 +21,6 @@ RUN wget -q -O - https://dl-ssl.google.com/linux/linux_signing_key.pub | sudo ap
     echo "deb [arch=amd64] http://dl.google.com/linux/chrome/deb/ stable main" >> /etc/apt/sources.list.d/google.list &&\
     curl -sS https://dl.yarnpkg.com/debian/pubkey.gpg | sudo apt-key add - &&\
     echo "deb https://dl.yarnpkg.com/debian/ stable main" | sudo tee /etc/apt/sources.list.d/yarn.list &&\
-    curl -sL https://deb.nodesource.com/setup_10.x | sudo -E bash - &&\
     apt-get update &&\
     apt-get install -y libgconf-2-4 google-chrome-stable yarn nodejs &&\
     npm install -g eslint babel-eslint &&\

GitHub sha: ff9ddabe

1 Like